Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.generator
Class GeneratorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.torque.generator.GeneratorException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ConfigurationException, ControllerException, SourceException, SourceTransformerException

    public class GeneratorException

extends Exception

This exception is the superclass of all Exceptions thrown in the Torque generator. It is thrown whenever an Error occurs which is specific to the Torque Generator.

See Also:
  Serialized Form

Constructor Summary
`GeneratorException()` Constructs a OutletException without error message.
`GeneratorException(String message)` Constructs a GeneratorException with the given error message.
`GeneratorException(String message, Throwable cause)` Constructs a GeneratorException which wraps another exception, and which has its own error message.
`GeneratorException(Throwable cause)` Constructs a GeneratorException which wraps another exception.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GeneratorException

    public GeneratorException()

  Constructs a OutletException without error message.

### GeneratorException

    public GeneratorException(String message)

  Constructs a GeneratorException with the given error message.

  Parameters:
    `message` - the error message
  See Also:
    `Exception.Exception(java.lang.String)`

### GeneratorException

    public GeneratorException(Throwable cause)

  Constructs a GeneratorException which wraps another exception.

  Parameters:
    `cause` - The cause of the error.
  See Also:
    `Exception.Exception(java.lang.Throwable)`

### GeneratorException

    public GeneratorException(String message,
                              Throwable cause)

  Constructs a GeneratorException which wraps another exception, and which has its own error message.

  Parameters:
    `message` - The error message.
    `cause` - The exception to wrap.
  See Also:
    `Exception.Exception(java.lang.String, java.lang.Throwable)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.